/* Automatically generated nanopb constant definitions */
/* Generated by nanopb-0.4.0-dev at Tue Oct  9 15:58:37 2018. */

#include "type.pb.h"

/* @@protoc_insertion_point(includes) */
#if PB_PROTO_HEADER_VERSION != 30
#error Regenerate this file with the current version of nanopb generator.
#endif



const pb_field_t google_protobuf_Type_fields[7] = {
    PB_FIELD(  1, STRING  , SINGULAR, CALLBACK, FIRST, google_protobuf_Type, name, name, 0),
    PB_FIELD(  2, MESSAGE , REPEATED, CALLBACK, OTHER, google_protobuf_Type, fields, name, &google_protobuf_Field_fields),
    PB_FIELD(  3, STRING  , REPEATED, CALLBACK, OTHER, google_protobuf_Type, oneofs, fields, 0),
    PB_FIELD(  4, MESSAGE , REPEATED, CALLBACK, OTHER, google_protobuf_Type, options, oneofs, &google_protobuf_Option_fields),
    PB_FIELD(  5, MESSAGE , SINGULAR, STATIC  , OTHER, google_protobuf_Type, source_context, options, &google_protobuf_SourceContext_fields),
    PB_FIELD(  6, UENUM   , SINGULAR, STATIC  , OTHER, google_protobuf_Type, syntax, source_context, 0),
    PB_LAST_FIELD
};

const pb_field_t google_protobuf_Field_fields[11] = {
    PB_FIELD(  1, UENUM   , SINGULAR, STATIC  , FIRST, google_protobuf_Field, kind, kind, 0),
    PB_FIELD(  2, UENUM   , SINGULAR, STATIC  , OTHER, google_protobuf_Field, cardinality, kind, 0),
    PB_FIELD(  3, INT32   , SINGULAR, STATIC  , OTHER, google_protobuf_Field, number, cardinality, 0),
    PB_FIELD(  4, STRING  , SINGULAR, CALLBACK, OTHER, google_protobuf_Field, name, number, 0),
    PB_FIELD(  6, STRING  , SINGULAR, CALLBACK, OTHER, google_protobuf_Field, type_url, name, 0),
    PB_FIELD(  7, INT32   , SINGULAR, STATIC  , OTHER, google_protobuf_Field, oneof_index, type_url, 0),
    PB_FIELD(  8, BOOL    , SINGULAR, STATIC  , OTHER, google_protobuf_Field, packed, oneof_index, 0),
    PB_FIELD(  9, MESSAGE , REPEATED, CALLBACK, OTHER, google_protobuf_Field, options, packed, &google_protobuf_Option_fields),
    PB_FIELD( 10, STRING  , SINGULAR, CALLBACK, OTHER, google_protobuf_Field, json_name, options, 0),
    PB_FIELD( 11, STRING  , SINGULAR, CALLBACK, OTHER, google_protobuf_Field, default_value, json_name, 0),
    PB_LAST_FIELD
};

const pb_field_t google_protobuf_Enum_fields[6] = {
    PB_FIELD(  1, STRING  , SINGULAR, CALLBACK, FIRST, google_protobuf_Enum, name, name, 0),
    PB_FIELD(  2, MESSAGE , REPEATED, CALLBACK, OTHER, google_protobuf_Enum, enumvalue, name, &google_protobuf_EnumValue_fields),
    PB_FIELD(  3, MESSAGE , REPEATED, CALLBACK, OTHER, google_protobuf_Enum, options, enumvalue, &google_protobuf_Option_fields),
    PB_FIELD(  4, MESSAGE , SINGULAR, STATIC  , OTHER, google_protobuf_Enum, source_context, options, &google_protobuf_SourceContext_fields),
    PB_FIELD(  5, UENUM   , SINGULAR, STATIC  , OTHER, google_protobuf_Enum, syntax, source_context, 0),
    PB_LAST_FIELD
};

const pb_field_t google_protobuf_EnumValue_fields[4] = {
    PB_FIELD(  1, STRING  , SINGULAR, CALLBACK, FIRST, google_protobuf_EnumValue, name, name, 0),
    PB_FIELD(  2, INT32   , SINGULAR, STATIC  , OTHER, google_protobuf_EnumValue, number, name, 0),
    PB_FIELD(  3, MESSAGE , REPEATED, CALLBACK, OTHER, google_protobuf_EnumValue, options, number, &google_protobuf_Option_fields),
    PB_LAST_FIELD
};

const pb_field_t google_protobuf_Option_fields[3] = {
    PB_FIELD(  1, STRING  , SINGULAR, CALLBACK, FIRST, google_protobuf_Option, name, name, 0),
    PB_FIELD(  2, MESSAGE , SINGULAR, STATIC  , OTHER, google_protobuf_Option, value, name, &google_protobuf_Any_fields),
    PB_LAST_FIELD
};





/* Check that field information fits in pb_field_t */
#if !defined(PB_FIELD_32BIT)
/* If you get an error here, it means that you need to define PB_FIELD_32BIT
 * compile-time option. You can do that in pb.h or on compiler command line.
 * 
 * The reason you need to do this is that some of your messages contain tag
 * numbers or field sizes that are larger than what can fit in 8 or 16 bit
 * field descriptors.
 */
PB_STATIC_ASSERT((pb_membersize(google_protobuf_Type, source_context) < 65536 && pb_membersize(google_protobuf_Enum, source_context) < 65536 && pb_membersize(google_protobuf_Option, value) < 65536), YOU_MUST_DEFINE_PB_FIELD_32BIT_FOR_MESSAGES_google_protobuf_Type_google_protobuf_Field_google_protobuf_Enum_google_protobuf_EnumValue_google_protobuf_Option)
#endif

#if !defined(PB_FIELD_16BIT) && !defined(PB_FIELD_32BIT)
/* If you get an error here, it means that you need to define PB_FIELD_16BIT
 * compile-time option. You can do that in pb.h or on compiler command line.
 * 
 * The reason you need to do this is that some of your messages contain tag
 * numbers or field sizes that are larger than what can fit in the default
 * 8 bit descriptors.
 */
PB_STATIC_ASSERT((pb_membersize(google_protobuf_Type, source_context) < 256 && pb_membersize(google_protobuf_Enum, source_context) < 256 && pb_membersize(google_protobuf_Option, value) < 256), YOU_MUST_DEFINE_PB_FIELD_16BIT_FOR_MESSAGES_google_protobuf_Type_google_protobuf_Field_google_protobuf_Enum_google_protobuf_EnumValue_google_protobuf_Option)
#endif


/* @@protoc_insertion_point(eof) */
